package com.yonge.cooleshow.biz.dal.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 * 群公告(ImGroupNotice)表实体类
 *
 * @author zx
 * @since 2022-03-22 10:45:59
 */
@ApiModel(value = "im_group_notice-群公告")
public class ImGroupNotice implements Serializable {
    @TableId(value = "id_", type = IdType.AUTO)
    @NotNull(message = "公告编号不可为空")
    @ApiModelProperty(value = "主键;")
    private Long id;

    @TableField("group_id_")
    @NotBlank(message = "群编号不可为空")
    @ApiModelProperty(value = "群编号;")
    private String groupId;

    @TableField("title_")
    @NotBlank(message = "公告标题不可为空")
    @ApiModelProperty(value = "标题")
    private String title;

    @TableField("content_")
    @NotBlank(message = "公告内容不可为空")
    @ApiModelProperty(value = "内容")
    private String content;

    @TableField("top_flag_")
    @ApiModelProperty(value = "是否置顶")
    private Boolean topFlag = false;

    @TableField("sent_to_new_member_flag_")
    @ApiModelProperty(value = "是否发送给新人")
    private Boolean sentToNewMemberFlag = false;

    @TableField("del_flag_")
    @ApiModelProperty(value = "是否删除1是0否;")
    private Boolean delFlag = false;

    @TableField("operator_id_")
    @ApiModelProperty(value = "操作人")
    private Long operatorId;

    @TableField("create_time_")
    @ApiModelProperty(value = "创建时间;")
    private Date createTime;

    @TableField("update_time_")
    @ApiModelProperty(value = "修改时间;")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Boolean getTopFlag() {
        return topFlag;
    }

    public void setTopFlag(Boolean topFlag) {
        this.topFlag = topFlag;
    }

    public Boolean getSentToNewMemberFlag() {
        return sentToNewMemberFlag;
    }

    public void setSentToNewMemberFlag(Boolean sentToNewMemberFlag) {
        this.sentToNewMemberFlag = sentToNewMemberFlag;
    }

    public Boolean getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Boolean delFlag) {
        this.delFlag = delFlag;
    }

    public Long getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Long operatorId) {
        this.operatorId = operatorId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

